# Invite Contacts

## Invite Contacts

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/event?action=inviteContacts`

Invite contact(s) to event.

#### Path Parameters

| Name     | Type    | Description                                            |
| -------- | ------- | ------------------------------------------------------ |
| event    | integer | The event identifier to invite the contact to          |
| contacts | integer | An array of contact identifiers to invite to the event |

{% tabs %}
{% tab title="200 " %}

```
{
    "results":[
        {
            "contact":1,
            "status":true,
            "inviteLinkYes":"http://....",
            "inviteLinkNo":"http://...."
        },
        {   "contact":2,
            "status":false},
        {
            "contact":3,
            "status":true
            "inviteLinkYes":"http://....",
            "inviteLinkNo":"http://...."
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Example Request

`Example: Invite contacts with identifiers 1, 2 and 3 to event with the identifier 4`

```javascript
{
  "event":4,
  "contacts":[1,2,3]
}
```

## Returns

| Property      | Description                                       |
| ------------- | ------------------------------------------------- |
| results       | An array of objects with the following properties |
| contact       | The contact identifier                            |
| status        | The status of the request                         |
| inviteLinkYes | Invitation link for the YES responses             |
| inviteLinkNo  | Invitation link fo the NO responses               |

To invite a contact to the event, pass through the event identifier and an array of contact identifiers through to this call. The result will be a an array indicating if each of the contacts invitation was successful or not, and if so the links for responding to the invitations for both yes and no.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/events/invite-contacts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
